import 'package:djinn_flutter/djinn_flutter.dart';


class CounterState {
  int count;

  CounterState({this.count});
}

class CounterService extends DjinnService<CounterState> {
  var state = CounterState(count: 0);

  increment() {
    state.count++;
    updateState();
  }

  decrement() {
    state.count--;
    updateState();
  }
}
